com.trilead.ssh2.crypto

## Class SimpleDERReader

- java.lang.Object
- - com.trilead.ssh2.crypto.SimpleDERReader

    public class SimpleDERReader
    extends java.lang.Object

SimpleDERReader.

### Constructor Summary

Constructors
Constructor and Description
`SimpleDERReader(byte[] b)`
`SimpleDERReader(byte[] b, int off, int len)`

### Method Summary

Methods
`int` `available()`
`int` `ignoreNextObject()`
`java.math.BigInteger` `readInt()`
`byte[]` `readOctetString()`
`byte[]` `readSequenceAsByteArray()`
`void` `resetInput(byte[] b)`
`void` `resetInput(byte[] b, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleDERReader

    public SimpleDERReader(byte[] b)

#### SimpleDERReader

    public SimpleDERReader(byte[] b,
                   int off,
                   int len)

### Method Detail

#### resetInput

    public void resetInput(byte[] b)

#### resetInput

    public void resetInput(byte[] b,
                  int off,
                  int len)

#### available

    public int available()

#### ignoreNextObject

    public int ignoreNextObject()
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### readInt

    public java.math.BigInteger readInt()
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### readSequenceAsByteArray

    public byte[] readSequenceAsByteArray()
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### readOctetString

    public byte[] readOctetString()
                           throws java.io.IOException

Throws:
  `java.io.IOException`